WARNING: latest tortoiseSVN release (1.4.0)

TortoiseSVN 1.4.0, built against Subversion 1.4.0. Released 16. September 2006.

Compatibility Concerns

Subversion 1.4 uses a new format for the working copy. The update is done automatically, you won't even notice it. But once the working copy has been updated, you won't be able to access it with clients linked to older versions of the Subversion library.

>]]>

7 comments

<<such as IDEA 5.1.2>>


and IDEA 6.0 ...

0

Yep, ran into this problem yesterday when I updated to 1.4.0 ... guess I will stay out of Tortoise for awhile.

0

http://subversion.tigris.org/svn_1.4_releasenotes.html

The release notes for SVN 1.4 clearly note that this is the anticipated
behavior.

ewidhalm wrote:

TortoiseSVN 1.4.0, built against Subversion 1.4.0. Released 16. September 2006.

>

Compatibility Concerns

>

Subversion 1.4 uses a new format for the working copy. The update is done automatically, you won't even notice it. But once the working copy has been updated, you won't be able to access it with clients linked to older versions of the Subversion library.

>

<<such as IDEA 5.1.2>>

0

Hi,

Anyone know if there are plans for svn1.4 support in IDEA 5?

I see IDEA 6 has such plans - but I think that might be awhile away from being prod ready...but could be wrong ;)

Thanks,
Chris

0

Hello Chris,

CK> Anyone know if there are plans for svn1.4 support in IDEA 5?

We are not going to release an update for IDEA 5 with svn 1.4 support. Of
course, the svn plugin is open-source, so there's nothing preventing a third-party
developer from backporting svn 1.4 support to IDEA 5.

--
Dmitry Jemerov
Software Developer
http://www.jetbrains.com/
"Develop with Pleasure!"


0

FYI, the knowlege base says:

Subversion 1.4 support is planned for IDEA 6.0.2 release.

0

Thats a pity - as its a new licence (again) for IDEA 6, I guess we will have to wait for our firm to pay for the upgrade then....

It only seems like yesterday that 5 came out...

Thanks,
Chris

0

Please sign in to leave a comment.